 import Vue from 'vue'
 import Vuex from 'vuex'

Vue.use(Vuex)
const store = new Vuex.Store({
    state: {
		categoryList:'',
		suggestList:'',
	},
	getters:{
		gettersCategoryList(state){
			return state.categoryList
	   },
	   getterssuggestList(state){
	   			return state.suggestList
	   }
    },
    mutations: {
		mutationsCategoryList(state,data){
			state.categoryList=data
		},
		mutationssuggestList(state,data){
			state.suggestList=data
		}
	},
    actions: {
		actionsCategoryList(context,playload){
			context.commit('mutationsCategoryList',playload)
		},
		actionssuggestList(context,playload){
			context.commit('mutationssuggestList',playload)
		}
	}
})
export default store